unit SocketExtension;

interface

uses Rubies, Psock, SocketHandle;

const
  SocketDLL = 'Socket.so';

function ap_cSocket: Tvalue; external SocketDLL;
function GetSocketHandle: TSocketHandle; external SocketDLL;
procedure Socket_setup(obj: Tvalue; real: TPowerSock); external SocketDLL;

implementation

end.
